Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Delete Talent Pool Group DELETEGet Talent Pool Group Details GETUpdate Talent Pool Group PUTRemove Provider from Talent Pool Group DELETEList Providers in Talent Pool Group GETList Talent Pool Groups GETCreate Talent Pool Group POST
PeopleTalent pool groups

List Talent Pool Groups


Retrieve a paginated list of talent pool groups with optional filtering and sorting.

GET
/api/rest/v2/talent-pool-groups

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Query Parameters

f_ids?string

Filter by IDs (comma-separated list)

f_name?string

Filter by name (comma-separated list)

f_project_id?integer

Filter by project ID

limit?integer

Number of results to return per page (maximum 100)

Default20
after?string

Cursor for forward pagination - retrieve items after this cursor

before?string

Cursor for backward pagination - retrieve items before this cursor

sort_by?string

Field name to sort results by

sort_direction?string

Sort direction - 'ASC' for ascending or 'DESC' for descending

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/talent-pool-groups"
{
  "data": [],
  "pagination": {
    "next_cursor": "eyJzb3J0VmFsdWUiOjEwLCJpZCI6MTB9",
    "limit": 20,
    "prev_cursor": "string_value",
    "has_next_page": true,
    "has_prev_page": false
  }
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

List Providers in Talent Pool Group GET

Previous Page

Create Talent Pool Group POST

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/talent-pool-groups"